+1-888-365-2779
Try Now
More in this section

Forums / Set-up & Installation / TIU Installation

TIU Installation

2 posts, 0 answered
  1. Chris Dumper
    Chris Dumper avatar
    16 posts
    Registered:
    02 Apr 2005
    16 Mar 2009
    Link to this post
    Hi I've installed the demo sites you offer with SiteFinity3.6.Community & they're working fine on my home Vista/sql2005 setup. I cannot however get TIU to work. The error I get is below. Could you please send me a hint as your tutorial text 'SiteFinity Made Easy' relies upon it & I've a friend who'll be going through it. Many thanks ... c

    Server Error in '/telerik/TIUSite_v3.6' Application.
    Could not load file or assembly 'System.Web.Extensions.Design' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)

  2. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    09 Dec 2016
    16 Mar 2009
    Link to this post
    Hello Chris Dumper,

    Could you check whether you have the following assembly in your project's bin folder

    // Assembly System.Web.Extensions.Design, Version 1.0.61025.0
    Location: C:\Program Files\telerik\Sitefinity3.6\WebSites\TIUSite_v3.6\bin\System.Web.Extensions.Design.dll
    Name: System.Web.Extensions.Design, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35
    Type: Library

    Check whether you have binding redirection in your web.config file as below:

      <runtime> 
        <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1"
          <dependentAssembly> 
            <assemblyIdentity name="System.Web.Extensions" publicKeyToken="31bf3856ad364e35" /> 
            <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="3.5.0.0" /> 
          </dependentAssembly> 
          <dependentAssembly> 
            <assemblyIdentity name="System.Web.Extensions.Design" publicKeyToken="31bf3856ad364e35" /> 
            <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="3.5.0.0" /> 
          </dependentAssembly> 
        </assemblyBinding> 
      </runtime> 

    As I see it, you are running TIU website for .NET framework 3.5, where this assembly is required.

    Sincerely yours,
    Ivan Dimitrov
    the Telerik team

    Instantly find answers to your questions on the new Telerik Support Portal.
    Check out the tips for optimizing your support resource searches.
2 posts, 0 answered